# List

`GET /api/2.1/unity-catalog/metastores/{metastore_id}/systemschemas`

Gets an array of system schemas for a metastore.
 The caller must be an account admin or a metastore admin.

 NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

 PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Path parameters

- `metastore_id` (string, optional)
  The ID for the metastore in which the system schema resides.

## Query parameters

- `max_results` (int32, optional)
  Maximum number of schemas to return.
   - When set to 0, the page length is set to a server configured value (recommended);
   - When set to a value greater than 0, the page length is the minimum of this value and a server configured value;
   - When set to a value less than 0, an invalid parameter error is returned;
   - If not set, all the schemas are returned (not recommended).
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of SystemSchemaInfo objects.

## Response

```json
{
  "schemas": [
    {
      "schema": "string",
      "state": "string"
    }
  ],
  "next_page_token": "string"
}
```

